Bug 1418379 - Yum Extender errors
Summary: Yum Extender errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdaemon
Version: 26
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 17:03 UTC by contactopublico57
Modified: 2017-04-03 16:08 UTC (History)
4 users (show)

Fixed In Version: dnfdaemon-0.3.16-11.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-03 16:08:05 UTC


Attachments (Terms of Use)

Description contactopublico57 2017-02-01 17:03:40 UTC
Description of problem: Yum Extender fails to initialize while downloading repository metadata


Version-Release number of selected component (if applicable): Installed Packages
Name         : dnf
Version      : 2.0.0
Release      : 2.fc26
Arch         : noarch
Size         : 1.0 M
Source       : dnf-2.0.0-2.fc26.src.rpm
Repo         : @System
From repo    : anaconda
Summary      : Package manager forked from Yum, using libsolv as a dependency
             : resolver
URL          : https://github.com/rpm-software-management/dnf
License      : GPLv2+ and GPLv2 and GPL
Description  : Package manager forked from Yum, using libsolv as a dependency
             : resolver.



How reproducible: initiate DNF/YUM extender


Steps to Reproduce:
1. start yum-extender
2. error while initializing
3.

Actual results:  error codes displayed


Expected results:  initialize and function normally


Additional info:

g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.AttributeError: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 83, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 207, in SetConfig
    rc = self.set_option(setting, value)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 680, in set_option
    if hasattr(self.base.conf, option):
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 202, in base
    self._get_base()
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 1054, in _get_base
    self._base.setup_base()
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/backend.py", line 71, in setup_base
    self._packages = Packages(self)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/backend.py", line 273, in __init__
    self._inst_na = self._sack.query().installed().na_dict()
AttributeError: 'Query' object has no attribute 'na_dict'
 (36)

Comment 1 Fedora End Of Life 2017-02-28 11:09:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora Admin XMLRPC Client 2017-03-22 10:11:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2017-03-22 10:21:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2017-03-30 19:41:20 UTC
dnfdaemon-0.3.16-10.fc26 dnfdragora-1.0.0-8.git20170330.f30c75c.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-171efc2a0f

Comment 5 Fedora Update System 2017-03-30 19:41:34 UTC
dnfdaemon-0.3.16-10.fc26 dnfdragora-1.0.0-8.git20170330.f30c75c.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-171efc2a0f

Comment 6 Fedora Update System 2017-03-31 16:51:24 UTC
dnfdaemon-0.3.16-11.fc26, dnfdragora-1.0.0-8.git20170330.f30c75c.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-171efc2a0f

Comment 7 Fedora Update System 2017-04-01 16:41:04 UTC
dnfdaemon-0.3.16-11.fc26 dnfdragora-1.0.0-10.git20170401.d018d08.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-171efc2a0f

Comment 8 Fedora Update System 2017-04-03 03:50:57 UTC
dnfdaemon-0.3.16-11.fc26, dnfdragora-1.0.0-11.git20170401.b97db68.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-171efc2a0f

Comment 9 Fedora Update System 2017-04-03 16:08:05 UTC
dnfdaemon-0.3.16-11.fc26, dnfdragora-1.0.0-11.git20170401.b97db68.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.